net.sf.jasperreports.components.spiderchart

## Class SpiderChartRendererEvaluator

- java.lang.Object
- - net.sf.jasperreports.components.spiderchart.SpiderChartRendererEvaluator

-     public class SpiderChartRendererEvaluator
      extends java.lang.Object

  Spider Chart design evaluator.
  Version:
    $Id: SpiderChartRendererEvaluator.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FILL_DATASET`
    `static java.lang.String` | `SAMPLE_DATASET`
    `static java.lang.Double` | `SAMPLE_MAXVALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpiderChartRendererEvaluator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Renderable` | `evaluateRenderable(JasperReportsContext jasperReportsContext, JRComponentElement element, SpiderChartSharedBean spiderchartBean, ChartCustomizer chartCustomizer, java.lang.String defaultRenderType, java.lang.String datasetType)`
    `static JRRenderable` | `evaluateRenderer(JRComponentElement element, SpiderChartSharedBean spiderchartBean, ChartCustomizer chartCustomizer, java.lang.String defaultRenderType, java.lang.String datasetType)` Deprecated. Replaced by `evaluateRenderable(JasperReportsContext, JRComponentElement, SpiderChartSharedBean, ChartCustomizer, String, String)`.
    `java.util.Locale` | `getLocale()`
    `static org.jfree.data.category.DefaultCategoryDataset` | `getSampleDataset()`
    `java.util.TimeZone` | `getTimeZone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILL_DATASET

          public static final java.lang.String FILL_DATASET

      See Also:
        Constant Field Values

    - #### SAMPLE_DATASET

          public static final java.lang.String SAMPLE_DATASET

      See Also:
        Constant Field Values

    - #### SAMPLE_MAXVALUE

          public static final java.lang.Double SAMPLE_MAXVALUE

  - ### Constructor Detail

    - #### SpiderChartRendererEvaluator

          public SpiderChartRendererEvaluator()

  - ### Method Detail

    - #### evaluateRenderer

          public static JRRenderable evaluateRenderer(JRComponentElement element,
                                      SpiderChartSharedBean spiderchartBean,
                                      ChartCustomizer chartCustomizer,
                                      java.lang.String defaultRenderType,
                                      java.lang.String datasetType)

      Deprecated. Replaced by `evaluateRenderable(JasperReportsContext, JRComponentElement, SpiderChartSharedBean, ChartCustomizer, String, String)`.

    - #### evaluateRenderable

          public static Renderable evaluateRenderable(JasperReportsContext jasperReportsContext,
                                      JRComponentElement element,
                                      SpiderChartSharedBean spiderchartBean,
                                      ChartCustomizer chartCustomizer,
                                      java.lang.String defaultRenderType,
                                      java.lang.String datasetType)

    - #### getSampleDataset

          public static org.jfree.data.category.DefaultCategoryDataset getSampleDataset()

    - #### getLocale

          public java.util.Locale getLocale()

    - #### getTimeZone

          public java.util.TimeZone getTimeZone()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com